Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0020793
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminoralways2012-06-18 14:352012-06-27 05:28
ReporterdbazView Statuspublic 
Assigned Todbaz 
PriorityhighResolutionfixedFixed in Version3.0MP13
StatusclosedFix in branchFixed in SCM revision63adc86e9eb3
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0020793: Profile changes should be able to send to the backend just the needed changes

DescriptionProfile changes should be able to send to the backend just the needed changes.

This is related to the new WebPOS development, where the only values are going to change are Role and Language (the other will remain the same)
Steps To ReproduceInside UserInfoWidgetActionHandler.java there is a method "executeSaveCommand" that collect all the parameters and then do the change (via UserSessionSetter().resetSession)

If any parameter is not provided, it should take the current set ones.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0049890)
hgbot (developer)
2012-06-18 14:37

Repository: erp/devel/pi
Changeset: 63adc86e9eb3bad00d003278d1a88358ea686273
Author: David Baz Fayos <david.baz <at> openbravo.com>
Date: Mon Jun 18 14:37:11 2012 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/63adc86e9eb3bad00d003278d1a88358ea686273 [^]

Fixed issue 20793: Profile values are now taken from the context
if they are not passed inside the json

---
M modules/org.openbravo.client.application/src/org/openbravo/client/application/navigationbarcomponents/UserInfoWidgetActionHandler.java
---
(0050040)
mtaal (developer)
2012-06-22 16:19

Reviewed
(0050113)
hudsonbot (developer)
2012-06-27 05:28

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/cf3a7135839f [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2012-06-18 14:35 dbaz New Issue
2012-06-18 14:35 dbaz Assigned To => dbaz
2012-06-18 14:35 dbaz Modules => Core
2012-06-18 14:37 hgbot Checkin
2012-06-18 14:37 hgbot Note Added: 0049890
2012-06-18 14:37 hgbot Status new => resolved
2012-06-18 14:37 hgbot Resolution open => fixed
2012-06-18 14:37 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/63adc86e9eb3bad00d003278d1a88358ea686273 [^]
2012-06-22 16:19 mtaal Note Added: 0050040
2012-06-22 16:19 mtaal Status resolved => closed
2012-06-22 16:19 mtaal Fixed in Version => 3.0MP13
2012-06-27 05:28 hudsonbot Checkin
2012-06-27 05:28 hudsonbot Note Added: 0050113


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker